#!/usr/bin/env python

from pybest import context
from pybest.geminals.rpccd import ROOpCCD
from pybest.io.iodata import IOData
from pybest.scf import AufbauOccModel


# Read Hamiltonian from some FCIDUMP file
# ---------------------------------------
fcidump = context.get_fn("test/water.FCIDUMP")
mol = IOData.from_file(fcidump)

# Define occupation model
# ------------------------
occ_model = AufbauOccModel(5)

# Do OOpCCD optimization
# ----------------------
oopccd = ROOpCCD(mol.lf, occ_model)
oopccd_ = oopccd(mol.one, mol.two, mol)
