// PyBEST: Pythonic Black-box Electronic Structure Tool
// Copyright (C) 2016-- The PyBEST Development Team
//
// This file is part of PyBEST.
//
// PyBEST is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// PyBEST is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>
//
// --
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include "slicing.h"

namespace py = pybind11;


PYBIND11_MODULE(pyslice, m) {
    m.doc() = "pybind11 module PySlice to construct slice of Cholesky object)"; // optional module docstring

    // functions
    m.def("slice_to_three_abbc_abc", &slice_to_three_abbc_abc, "Perform slicing operation abbc->abc", py::return_value_policy::take_ownership);
    m.def("slice_to_three_abcc_bac", &slice_to_three_abcc_bac, "Perform slicing operation abcc->bac", py::return_value_policy::take_ownership);
    m.def("slice_to_three_abcc_abc", &slice_to_three_abcc_abc, "Perform slicing operation abcc->abc", py::return_value_policy::take_ownership);
}
