// PyBEST: Pythonic Black-box Electronic Structure Tool
// Copyright (C) 2016-- The PyBEST Development Team
//
// This file is part of PyBEST.
//
// PyBEST is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// PyBEST is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>
//
// --

// UPDATELIBDOCTITLE: Low-level routines for ``CholeskyLinalgFactory``

#ifndef PyBEST_MATRIX_SLICING_H
#define PyBEST_MATRIX_SLICING_H

// Include the CBLAS headers
#ifdef BLAS_MKL
#include <mkl.h>
#else
extern "C"
{
#include <cblas.h>
}
#endif

#include <pybind11/pybind11.h>
#include <pybind11/numpy.h>
namespace py = pybind11;

void slice_to_three_abbc_abc(py::array_t<double, py::array::c_style | py::array::forcecast> inp1,
                             py::array_t<double, py::array::c_style | py::array::forcecast> inp2,
                             py::array_t<double, py::array::c_style | py::array::forcecast> &out,
                             double factor, bool clear);
void slice_to_three_abcc_bac(py::array_t<double, py::array::c_style | py::array::forcecast> inp1,
                             py::array_t<double, py::array::c_style | py::array::forcecast> inp2,
                             py::array_t<double, py::array::c_style | py::array::forcecast> &out,
                             double factor, bool clear);
void slice_to_three_abcc_abc(py::array_t<double, py::array::c_style | py::array::forcecast> inp1,
                             py::array_t<double, py::array::c_style | py::array::forcecast> inp2,
                             py::array_t<double, py::array::c_style | py::array::forcecast> &out,
                             double factor, bool clear);

#endif
